#include "Node.h"

namespace cosi {

namespace library {

Node::Node() {
	mName = "Unknown";
	mType = "Unknown";
}

Node::~Node() {
}

void Node::SetName(std::string pName) {
	mName = pName;
}

std::string Node::GetName() {
	return mName;
}

void Node::SetType(std::string pType) {
	mType = pType;
}

std::string Node::GetType() {
	return mType;
}

Ports Node::GetPorts( ) {
	return mPorts ;
}

}
}